POST /v1/memory_stores/{memory_store_id}/archive
アクティブな Memory Store をアーカイブし、更新された Memory Store オブジェクトを返します。
パスパラメータ
| パラメータ | 型 | 必須 | 説明 |
|---|---|---|---|
memory_store_id | string | はい | Memory Store ID(memstore_ プレフィックス) |
ヘッダー
| ヘッダー | 値 | 必須 |
|---|---|---|
| Authorization | Bearer $QODER_PAT | はい |
リクエスト例
レスポンス例
HTTP 200 OKレスポンスフィールド
| フィールド | 型 | 説明 |
|---|---|---|
id | string | Memory Store ID、memstore_ プレフィックス |
type | string | 固定値 "memory_store" |
name | string | ストア名 |
description | string | ストアの説明 |
status | string | 操作成功後は archived |
entry_count | integer | アクティブなメモリエントリ数 |
total_size | integer | アクティブなメモリエントリの総サイズ(バイト) |
metadata | メタデータオブジェクト | カスタムメタデータ |
archived_at | string | UTC アーカイブ時刻 |
created_at | string | UTC 作成時刻 |
updated_at | string | UTC 最終更新時刻 |
注意事項
リクエストボディは不要です。アーカイブ後もストアは読み取り可能ですが、エントリの作成や更新はできません。エラーレスポンス
| HTTP | type | 説明 |
|---|---|---|
| 401 | authentication_error | 認証トークンが提供されていないまたは無効 |
| 404 | not_found_error | 指定 ID の Memory Store が存在しない |
| 409 | conflict_error | Memory Store はすでにアーカイブ済み |
関連項目
Memory Stores
Agent に Session をまたいだ永続メモリを与える。